Client tests

Get a list of client tests

Use this method to get a list of tests that clients can pass in the Trader's Room.

GET
/api/v2/my/quizzes

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?integer

Sets the limit

Range1 <= value <= 1000
Default10
offset?integer

Sets the offset

Range0 <= value
Default0
sort_order?string

Sorts the items in ascending or descending order

Default"desc"

Value in

  • "asc"
  • "desc"
sort_by?string

Sorts the items by a specified value

Value in

  • "priority"
  • "createTime"

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/quizzes?limit=10&offset=0&sort_order=desc" \  -H "accept-language: ja"
[  {    "id": 1,    "caption": "Discover Your Trading Style",    "details": "Takes just a couple of minutes",    "completed": false,    "approvalStatus": "new",    "requiredForLevelsId": [      1    ]  }]
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}